Package org.eclipse.remote.core

# Interface IRemoteCommandShellService

All Superinterfaces:
  `IRemoteConnection.Service`

All Known Implementing Classes:
  `SerialPortConnection`, `TelnetConnection`

public interface IRemoteCommandShellService extends IRemoteConnection.Service
A service that provides a command shell on a remote. This is mainly used by Terminal views.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`IRemoteProcess`
`getCommandShell(int flags)`
Get a remote process that runs a command shell on the remote system.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

## Method Details

### getCommandShell

IRemoteProcess getCommandShell(int flags) throws IOException
Get a remote process that runs a command shell on the remote system. The shell will be the user's default shell on the remote system. The flags may be used to modify behavior of the remote process. These flags may only be supported by specific types of remote service providers. Clients can use `IRemoteProcessBuilder.getSupportedFlags()` to find out the flags supported by the service provider.

     Current flags are:
       IRemoteProcessBuilder.NONE                        - disable any flags
       IRemoteProcessBuilder.ALLOCATE_PTY        - allocate a pseudo-terminal for the process (RFC-4254 Sec. 6.2)
       IRemoteProcessBuilder.FORWARD_X11        - enable X11 forwarding (RFC-4254 Sec. 6.3)

Parameters:
  `flags` - bitwise-or of flags
Returns:
  remote process object
Throws:
  `IOException`
Since:
  7.0